      PROGRAM broadcast
      INCLUDE 'mpif.h'
      INTEGER err, rank, size
      real param
      CALL MPI_INIT(err)
      CALL MPI_COMM_RANK(MPI_COMM_WORLD, rank, err)
      CALL MPI_COMM_SIZE(MPI_COMM_WORLD, size, err)
c      
      if(rank.eq.5) param=23.0
c      
      call MPI_BCAST(param,1,MPI_REAL,5,MPI_COMM_WORLD,err)
      print *,'P:',rank,' after broadcast param is ',param
c
      CALL MPI_FINALIZE(err)
      END
